// -*- mode: cpp; mode: fold -*-
// Description								/*{{{*/
// $Id: tar.h 96 2006-11-27 18:56:22Z jpra $
/* ######################################################################

   Tar - A wrapper class for the GNU tar command.

   AUTHOR: David Salvador Pinheiro <david.pinheiro@caixamagica.pt>
   
   ##################################################################### */
									/*}}}*/
#ifndef TARWRAPPER_H_
#define TARWRAPPER_H_

#include <string>
#include <vector>
#include <ostream>

using namespace std;

class Tar
{
   static const char * _ClassId;

   protected:

   Tar();
   ~Tar();

   public:

   enum CompressionType {NONE, BZ2, GZIP} Type; 

   static bool Create(const char * FileName, vector<string> &FileList, CompressionType Type,ostream *out ,ostream * error);
   static bool Extract(const char * FileName,CompressionType Type,ostream *out ,ostream * error);
   //TODO: List files in archive
};

#endif

